Bric::Util::Grp::CategorySet - A module to hold sets of categories. $LastChangedRevision$ $LastChangedDate: 2004-09-13 17:48:55 -0700 (Mon, 13 Sep 2004) $ use Bric::Util::Grp::CategorySet; # Normal group methods. Allows assets to be grouped into categories. In addition to assets a category can contain other categories, allowing a hierarchical layout of categories and assets.

Constructors
Inherited Throws: NONE Side Effects: NONE Notes: NONE Inherited Throws: NONE Side Effects: NONE Notes: This is the default lookup constructor which should be overrided in all derived classes even if it just calls 'die'. Inherited. Throws: NONE Side Effects: NONE Notes: NONE

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY

Public Class Methods
Returns a Bric::Util::Class object describing this class. Throws: NONE. Side Effects: NONE. Notes: Uses Bric::Util::Class->lookup() internally. Returns a Bric::Util::Class object describing the members of this group. Throws: NONE. Side Effects: NONE. Notes: Uses Bric::Util::Class->lookup() internally.

Public Instance Methods
This will return the class id that this group is associated with it should have an id that maps to the class object instance that is associated with the class of the grp ie Bric::Util::Grp::AssetVersion Throws: NONE Side Effects: NONE Notes: Overwite this in your sub classes Forces all Objects to be considered as this class. Throws: NONE Side Effects: NONE Notes: NONE This supplies a package to table name mapping. Throws: NONE Side Effects: NONE Notes: NONE Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns false, because this is not a secret type of group, but one that can be used by users. Throws: NONE. Side Effects: NONE. Notes: NONE.

Private Methods
NONE

Private Class Methods
NONE

Private Instance Methods
NONE NONE Garth Webb <garth@perijove.com> perl, Bric, Bric::Util::Grp